기술도면 복합단면 |
Menu location |
---|
기술도면 → 기술도면 보기 → 복합단면 삽입 |
Workbenches |
TechDraw |
Default shortcut |
None |
Introduced in version |
0.21 |
See also |
기술도면 단면, 기술도면 보기 |
설명
기술도면 복합단면 도구는 기존 부품의 보기와 단면선을 기반으로 단면도를 삽입합니다.
복합단면 도구로 만든 1/4 단면도
복합단면 도구로 만든 정렬된 단면도
복합단면 도구로 만든 계단 단면도
용법
- 3D보기 또는 나무 보기에서 부품 보기와 단면선으로 쓸 대상체를 선택합니다. 단면선은 일반적으로 스케치이지만 철사로 만들 수 있는 모양을 가진 대상체라면 무엇이든 작동합니다.
- 도구를 호출하는 방법은 여러 가지가 있습니다.
복합단면 삽입 버튼을 누르세요.
- 메뉴에서 기술도면 → 기술도면 보기 →
복합단면 삽입을 선택하세요.
- 다양한 속성을 계산하는 데 도움이 되는 작업창이 열립니다. 단면보기 방향과 절단평면 위치에 대한 기본적인 값이 자동으로 설정되는데, 이 값은 사용자가 원하는 대로 변경할 수 있습니다.
속성
A Complex Section, formally a TechDraw::DrawComplexSection
object, is derived from a Section View, formally a TechDraw::DrawViewSection
object, and inherits all its properties. It also has the following additional properties:
Data
Cutting Tool
- 데이터Cutting Tool Wire Object: The document object whose shape will be used to generate the cutting profile.
- 데이터Projection Strategy: Controls how the cut is performed and how the result is projected on the page:
Offset
: Performs a simple cut of the Source shape and projects the result.Aligned
: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.NoParallel
: As Aligned, but profile segments which are parallel to the view direction are skipped.
Notes
- The SectionNormal property controls which side of the profile is removed and should point generally in the opposite direction of the line of sight represented by the arrows on the section line. Avoid selecting a SectionNormal that is parallel to profile segments (especially the first and last segments) as this prevents the correct calculation of section arrow direction and may generate reversed views.
- See also TechDraw SectionView
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
A Complex Section can be created with macros and from the Python console by using the following functions:
doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page
view = doc.addObject("TechDraw::DrawViewPart", "View")
page.addView(view)
view.Source = box
view.Direction = (0, 0, 1)
section = doc.addObject("TechDraw::DrawComplexSection", "ComplexSection")
page.addView(section)
section.BaseView = view
section.CuttingToolWireObject = profile
section.Direction = (0, 1, 0)
section.SectionNormal = (-1, 0, 0)
예제
단면도와 일부 사용 사례에 대한 자세한 내용은 기술도면 단면 예제를 참조하세요.
이 페이지에서 인용한 것은 https://wiki.freecad.org/TechDraw_ComplexSection